- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# err.h File Reference

`#include <ubixos/types.h>`
`#include "net/debug.h"`
`#include "net/arch/cc.h"`

Go to the source code of this file.

## Defines
#define | ERR_ABRT -3
#define | ERR_ARG -8
#define | ERR_BUF -2
#define | ERR_CLSD -5
#define | ERR_CONN -6
#define | ERR_MEM -1
#define | ERR_OK 0
#define | ERR_RST -4
#define | ERR_RTE -9
#define | ERR_USE -10
#define | ERR_VAL -7
#define | lwip_strerr(x) ""
## Typedefs
typedef Int8 | err_t

## Define Documentation

#define ERR_ABRT -3

Definition at line 53 of file err.h.

#define ERR_ARG -8

Definition at line 60 of file err.h.

Referenced by lwip_send(), and lwip_write().

#define ERR_BUF -2

Definition at line 50 of file err.h.

Referenced by netbuf_data().

#define ERR_CLSD -5

Definition at line 55 of file err.h.

#define ERR_CONN -6

Definition at line 56 of file err.h.

Referenced by netconn_recv().

#define ERR_MEM -1

Definition at line 49 of file err.h.

Referenced by accept_function(), do_connect(), do_listen(), ethernetif_output(), loopif_output(), netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_recv(), netconn_send(), netconn_write(), and tcpip_input().

#define ERR_OK 0

Definition at line 48 of file err.h.

Referenced by accept_function(), do_connected(), do_delconn(), do_write(), loopif_output(), low_level_output(), lwip_bind(), lwip_connect(), lwip_listen(), lwip_send(), lwip_write(), netbuf_data(), netconn_addr(), netconn_delete(), netconn_peer(), netconn_recv(), netconn_send(), netconn_write(), poll_tcp(), recv_tcp(), sent_tcp(), and tcpip_input().

#define ERR_RST -4

Definition at line 54 of file err.h.

#define ERR_RTE -9

Definition at line 62 of file err.h.

#define ERR_USE -10

Definition at line 64 of file err.h.

#define ERR_VAL -7

Definition at line 58 of file err.h.

Referenced by do_connected(), do_write(), netconn_bind(), netconn_close(), netconn_connect(), netconn_listen(), netconn_send(), netconn_write(), and recv_tcp().

#define lwip_strerr | ( | x |  | ) | ""

Definition at line 71 of file err.h.

## Typedef Documentation

typedef Int8 err_t

Definition at line 44 of file err.h.